<?php

    $errors = 0;
    $next_step = isset($_POST['step'])?$_POST['step']:0;

    array_push($htmlblock,'<form action="" method="post">');
    // Start with configuration
    if ( $next_step == 0 )
    {
        $next_step++;
        array_push($htmlblock,'<h1>Configuration</h1>', '<hr />');
        $htmlblock = array_merge($htmlblock,$newbb_to_phpbb->get_configForm());

        array_push($htmlblock, '<p class="action right">',
                               '<span class="floatl"><a href="?action=restore">Restore default values</a></span>
                               <input type="hidden" name="step" value="'.$next_step.'" />',
                               '<span><input type="submit" name="Next" value="Verify Configuration" /></span>',
                               '</p>');
    }
    // Verify configuration
    else if ( $next_step == 1 )
    {
        // Verify LDAP bind
        if ( ! $ldap->do_bind() )
        {
            array_push($htmlblock, '<p class="message lm orange">Can\'t bind to the specified LDAP server.</p>');
            $errors++;
        }
        else
        {
            array_push($htmlblock, '<p class="message lm green">LDAP configuration OK</p>');
        }

        // Verify Database connection
        if ( ! $db->connect() )
        {
            array_push($htmlblock, '<p class="message lm orange">Can\'t connect to the specified database server</p>');
            $errors++;
        }
        else
        {
            array_push($htmlblock, '<p class="message lm green">Database configuration OK</p>');
        }

        // Verify xoops database and tables
        if ( $db->check_existance('xoops') !== true )
        {
            array_push($htmlblock, $db->check_existance('xoops'));
            $errors++;
        }
        else
        {
            array_push($htmlblock, '<p class="message lm green">Xoops configuration OK</p>');
        }

        // Verify phpbb database and tables
        if ( $db->check_existance('phpbb') !== true )
        {
            array_push($htmlblock, $db->check_existance('phpbb'));
            $errors++;
        }
        else
        {
            array_push($htmlblock, '<p class="message lm green">phpBB configuration OK</p>');
        }

        //  Show Next button if there is no error
        if ( $errors == 0 )
        {
            array_push($htmlblock,'<h1>Configuration</h1>', '<hr />');
            $htmlblock = array_merge($htmlblock,$newbb_to_phpbb->get_configForm('disabled'));

            $next_step++;
            array_push($htmlblock,'<p class="action right">
                              <input type="hidden" name="step" value="'.$next_step.'" />
                              <input type="submit" name="Next" value="Next" />
                              </p>');
        }
        //  or Verification button if there is anyone
        else
        {
            array_push($htmlblock,'<h1>Configuration</h1>', '<hr />');
            $htmlblock = array_merge($htmlblock,$newbb_to_phpbb->get_configForm());

            array_push($htmlblock, '<p class="action right">',
                                   '<span class="floatl"><a href="?action=restore">Restore default values</a></span>
                                   <input type="hidden" name="step" value="'.$next_step.'" />',
                                  '<span><input type="submit" name="Next" value="Verify Configuration" /></span>',
                                  '</p>');
        }
    }
    // Migration process
    else if ($next_step == 2)
    {
        array_push($htmlblock,'<h1>Migration</h1>', '<hr />');
        $htmlblock = array_merge($htmlblock, $newbb_to_phpbb->copy_Forums(),
                                             $newbb_to_phpbb->copy_Users(),
                                             $newbb_to_phpbb->copy_Topics(),
                                             $newbb_to_phpbb->copy_Posts());
        $next_step++;
        array_push($htmlblock,'<p class="action right">
                              <input type="hidden" name="step" value="'.$next_step.'" />
                              <input type="submit" name="Next" value="Next" />
                              </p>');
    }
    // Reset passwords
    else if ( $next_step == 3)
    {   
        array_push($htmlblock,'<h1>Reset Passwords</h1>', '<hr />');
        $htmlblock = array_merge($htmlblock, $ldap->get_userList());
        array_push($htmlblock,'<p class="action right"><strong>That\'s all!</strong> <img src="img/smile.png" alt="smile" /></p>');
        $next_step++;
    }

    array_push($htmlblock,'</form>');
   
?>
